Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.measurement
Interface JVTPerformanceMonitorSessionOptionalOpt

public interface JVTPerformanceMonitorSessionOptionalOpt

This interface defines string constants to indicate which optional parts of the `JVTPerformanceMonitorSession` interface that are supported by an implementation.

If `JVTPerformanceMonitorSession.getSupportedOptionalOperations()` returns a method string, a client can call the corresponding method. Otherwise, `UnsupportedOperationException` is thrown.

Version:
  0.9, 2001-10-25
Author:
  Stefan Aberg

Field Summary
`static java.lang.String` | `GET_CURRENT_RESULT_REPORT` Constant for the optional operation `getCurrentResultReportByKey`.
`static java.lang.String` | `RESUME_PERFORMANCE_MONITOR_BY_KEY` Constant for the optional operation `resumePerformanceMonitorByKey`.
`static java.lang.String` | `SUSPEND_PERFORMANCE_MONITOR_BY_KEY` Constant for the optional operation `suspendPerformanceMonitorByKey`.
`static java.lang.String` | `TRY_CREATE_PERFORMANCE_MONITORS_BY_VALUES` Constant for the optional operation `tryCreatePerformanceMonitorsByValues`.
`static java.lang.String` | `TRY_REMOVE_PERFORMANCE_MONITORS_BY_KEYS` Constant for the optional operation `tryRemovePerformanceMonitorsByKeys`.
`static java.lang.String` | `TRY_RESUME_PERFORMANCE_MONITORS_BY_KEYS` Constant for the optional operation `resumePerformanceMonitorsByKeys`.
`static java.lang.String` | `TRY_SUSPEND_PERFORMANCE_MONITORS_BY_KEYS` Constant for the optional operation `suspendPerformanceMonitorsByKeys`.

Field Detail

### TRY_CREATE_PERFORMANCE_MONITORS_BY_VALUES

    public static final java.lang.String TRY_CREATE_PERFORMANCE_MONITORS_BY_VALUES

  Constant for the optional operation `tryCreatePerformanceMonitorsByValues`.

  See Also:
    Constant Field Values

### TRY_REMOVE_PERFORMANCE_MONITORS_BY_KEYS

    public static final java.lang.String TRY_REMOVE_PERFORMANCE_MONITORS_BY_KEYS

  Constant for the optional operation `tryRemovePerformanceMonitorsByKeys`.

  See Also:
    Constant Field Values

### SUSPEND_PERFORMANCE_MONITOR_BY_KEY

    public static final java.lang.String SUSPEND_PERFORMANCE_MONITOR_BY_KEY

  Constant for the optional operation `suspendPerformanceMonitorByKey`.

  See Also:
    Constant Field Values

### TRY_SUSPEND_PERFORMANCE_MONITORS_BY_KEYS

    public static final java.lang.String TRY_SUSPEND_PERFORMANCE_MONITORS_BY_KEYS

  Constant for the optional operation `suspendPerformanceMonitorsByKeys`.

  See Also:
    Constant Field Values

### RESUME_PERFORMANCE_MONITOR_BY_KEY

    public static final java.lang.String RESUME_PERFORMANCE_MONITOR_BY_KEY

  Constant for the optional operation `resumePerformanceMonitorByKey`.

  See Also:
    Constant Field Values

### TRY_RESUME_PERFORMANCE_MONITORS_BY_KEYS

    public static final java.lang.String TRY_RESUME_PERFORMANCE_MONITORS_BY_KEYS

  Constant for the optional operation `resumePerformanceMonitorsByKeys`.

  See Also:
    Constant Field Values

### GET_CURRENT_RESULT_REPORT

    public static final java.lang.String GET_CURRENT_RESULT_REPORT

  Constant for the optional operation `getCurrentResultReportByKey`.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD